Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.openpgp
Class PGPDetachedSignatureMessage

    java.lang.Object
      cryptix.message.Message
          cryptix.openpgp.PGPDetachedSignatureMessage

public abstract class PGPDetachedSignatureMessage
extends Message

Represents a detached signature.

Version:
  $Revision: 1.3 $
Author:
  Edwin Woudt

Constructor Summary
`protected` | `PGPDetachedSignatureMessage(java.lang.String format)` Creates a PGPDetachedSignatureMessage object.

Method Summary
`abstract boolean` | `verify(Message msg, KeyBundle pubkey)` Verify if this detached signature is a correct signature on a particular message by a particular keybundle.
`abstract boolean` | `verify(Message msg, java.security.PublicKey pubkey)` Verify if this detached signature is a correct signature on a particular message by a particular public key.

Methods inherited from class cryptix.message.Message
`equals, getAttribute, getEncoded, getFormat, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPDetachedSignatureMessage

    protected PGPDetachedSignatureMessage(java.lang.String format)

  Creates a PGPDetachedSignatureMessage object.

Method Detail

### verify

    public abstract boolean verify(Message msg,
                                   java.security.PublicKey pubkey)
                            throws MessageException

  Verify if this detached signature is a correct signature on a particular message by a particular public key.

  Returns:
    true if the message is correctly signed by the public key, false if the signature is invalid or if this message was not signed at all by this public key.
  Throws:
    `MessageException` - on a variety of format specific problems.

### verify

    public abstract boolean verify(Message msg,
                                   KeyBundle pubkey)
                            throws MessageException

  Verify if this detached signature is a correct signature on a particular message by a particular keybundle.

  Returns:
    true if the message is correctly signed by the public key, false if the signature is invalid or if this message was not signed at all by this public key.
  Throws:
    `MessageException` - on a variety of format specific problems.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.